# Copyright (c) 2003 GEMPLUS group. All Rights Reserved.
#
# This software is the confidential and proprietary information of GEMPLUS.
#
# Project name    :  JCardManager
#-------------------------------------------------------------------------------

#  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#  |- Services configuration  - |
#  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
OpenCard.services = \
opencard.opt.util.PassThruCardServiceFactory \
com.gemplus.opencard.service.platform.op.PlateformOPCardServiceFactory \
com.gemplus.opencard.service.platform.gp.PlateformGPCardServiceFactory

#  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#  |- Terminals configuration - |
#  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
OpenCard.terminals = \
com.ibm.opencard.terminal.pcsc10.Pcsc10LockableTerminalFactory|Autodetect|*|SHARED


#  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#  |- Class Byte configuration for Get Response on Xpresso cards - |
#  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
OpenCard.getResponseClassByte = 0

#  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#  |- Gemplus Card Terminal only  |
#  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Uses_Standard_ISO_TPDU = false

#  ~~~~~~~~~~~~~~~~~~~~~~~~~
#  |- Trace configuration  |
#  ~~~~~~~~~~~~~~~~~~~~~~~~~
OpenCard.trace.eventsOnly = false
OpenCard.trace = opencard:4
